Subject: Re: ADC Requirements

From: "Chung-Huy Chen (254-4827 T/L 444)" <[email-masked]>
Date: Tue, 26 Apr 94 16:20:18 EDT

In my view, the primary requirement for ADC is:

   "allowing the programs to exchange data in any high-level construct,
    such as array and record data types, and at the same time, to
    preserve their meaning."

Since CPI-C supports three kinds of application data, namely,
   - normal data
   - expedited data
   - initialization data
I believe they all require ADC support.

In principle, CPI-C 2.0 works on both the LU 6.2 and OSI TP CRMs.
This applies to ADC as well.

In Jeff's list of the requirements,
  - I agree to the first part of (4) that the existing program should
    continue to run, but I disagree to the statement of "allow existing
    programs to use these new facilities without modifying existing code."
    If this were true, no change would be required to the interface.
    Then neither Set/Extract (from Boeing) nor Send/Receive
    (from Attachmate) could meet this requirement.  This seems to me
    a precondition for a certain solution that hasn't been discussed
    by the SIG.

  - I believe (5) (6) (7) and (8) are not requirement statements
    because they are concerned with a particular solution or
    development process.

  - I disagree to (9) that all pointers must be resolved.  Pointer
    is a type of application data, and NIDL (both in Apollo NCS and
    in DCE RPC) supports the pointer type.  I think the requirement
    should be to allow the use of data description languages such as
    ASN.1 and NIDL.

Chung-Huy Chen